<?php
	require_once("./system/init/FW.inc");
	if(VIEWE == "limit"){
		$_SESSION['file_manager']['back_page'] = $_SERVER["PHP_SELF"];	//ログイン後に戻るページ
		require_once("./system/init/login_check.inc");
	}
	if(UTILITY != "nonuse"){											//管理画面を使わない場合はリンクをテンプレート側で非表示
		$val['utility'] = UTILITY;
	}
	$val['user_name'] = $_SESSION['file_manager']['login_id'];			//セッションが有ればログイン情報を表示

	$path = $_SERVER["PHP_SELF"];
	$file = basename($path);											// 自身のファイル名
	$_SESSION['file_manager']['target_dir'] = '';						//最初に対象ディレクトリをセッションをクリア

//■■■■■■■■■■■■■■■■■■■■■■
//エラーチェック
//■■■■■■■■■■■■■■■■■■■■■■
	$chdir = $_GET["chdir"];

	//致命的なエラー
	if(ereg('\.\.', $chdir)){
		print '不正なパスが入力されました';
		exit;
	}
	$chdir = ereg_replace('\./', '', $chdir);
	if($chdir == '.'){
		$chdir = '';
	}
	
	$dir_ary_path = $chdir;									// ディレクトリ一覧用ディレクトリ名
	if($dir_ary_path == ''){
		$dir_path = TOP_LEVEL.'/'.$dir_ary_path;			// ディレクトリ名
	}else{
		$dir_path = TOP_LEVEL.'/'.$dir_ary_path.'/';		// ディレクトリ名
	}
	//その他メッセージ用の配列を用意
	$message = array();

//■■■■■■■■■■■■■■■■■■■■■■
//ディレクトリ指定を元にディレクトリ一覧を生成
//■■■■■■■■■■■■■■■■■■■■■■
	//現在のディレクトリ
	if($dir_ary_path != ''){
		$dir_ary = split('/', $dir_ary_path);
		$val['dir_path'] =	$dir_ary[count($dir_ary)-1];				//テンプレート変数
	}else{
		$dir_ary = array();
		$val['dir_path'] = TOP_LEVEL_TEXT;								//テンプレート変数
	}
	//スライドショー用のパラメータ
	$val['slide_show_dir'] =  $_GET["chdir"];
	
	$val['top_level_dir']      = $path.'?chdir=';
	$val['top_level_dir_text'] = TOP_LEVEL_TEXT;

	$val['dir_ary'] =	array();
	$dir_indent = '';
	$parent_path = '';
	for($i=0; $i<count($dir_ary); $i++){
		$val['dir_ary'][$i]['link_indent'] = $dir_indent.' ├ ';
			$val['dir_ary'][$i]['link']  = $path.'?chdir='.$parent_path.$dir_ary[$i];
		if($i < count($dir_ary)-1){
			$val['dir_ary'][$i]['link_text'] = $dir_ary[$i];
		}else{
			$val['dir_ary'][$i]['link_text'] = $dir_ary[$i].' *';
		}
		$dir_indent .= ' │';
		$parent_path.= $dir_ary[$i].'/';
	}

//■■■■■■■■■■■■■■■■■■■■■■
//ディレクトリ内のファイル一覧を生成
//■■■■■■■■■■■■■■■■■■■■■■
	$val['file_ary'] =	array();
	if (is_dir($dir_path) and ($dir_path != "/")) {
		if(is_readable($dir_path)) {							//ファイルが読み込み可能かどうか
			$ch_dir = dir($dir_path);							//ディレクトリクラス
			//ディレクトリ内のファイルを配列に保存
			$file_ary = array();
			$file_count = 0;
			while (false !== ($fn = $ch_dir -> read())) {
				$file_count = array_push($file_ary, $fn);
			}
			//ディレクトリ内のファイル名の配列をソート
			natsort($file_ary);
			//ディレクトリ内のファイルを一覧表示
			for ($num=0; $num<$file_count; $num++) {
				$file_name = array_shift($file_ary);
				if($file_name != '..' && $file_name != '.'){
//					$ln_path = $ch_dir -> path . "/" .$file_name;
					$ln_path = $ch_dir -> path .$file_name;
 					$file_info = pathinfo(SITE_PATH.$ln_path);

					if(is_dir($ln_path)){						//ディレクトリかどうか？
						//ディレクトリ文字列作成
						if($dir_ary_path == ''){
							$dir_parm = $file_name;
						}else{
							$dir_parm = $dir_ary_path.'/'.$file_name;
						}
						//コンテンツ表示
						array_push($val['file_ary'], array(
							slide_show  => 'slide_show.php?i='.$dir_parm, 
							link => $path.'?chdir='.$dir_parm, 
							link_text => DIRECTRY_ICON, 
							link_title => $file_name, 
							link_target => '_self', 
							width => ICON_WIDTH
						));
						//ディレクトリツリーにカレントディレクトリの子供を追加
						array_push($val['dir_ary'], array('link_indent'=>$dir_indent.' ├ ', 'link' => $path.'?chdir='.$dir_parm, 'link_text'=>$file_name));
					}else{									 //ファイルの種類を調べる
						//拡張子を調べる
						$icon_file = $icon_ary[strtolower($file_info['extension'])];
						if($icon_file == true){								 //拡張子が一覧に見つかった時だけ表示
							if($icon_file != ENTITY){
								array_push($val['file_ary'], array(link => $ln_path, link_text => $icon_file, link_title => $file_name, link_target => 'new_window', width => ICON_WIDTH));
							}elseif (@getimagesize($ln_path)) {				//表示可能な画像かどうか？
//								array_push($val['file_ary'], array(link => 'slide_show.php?i='.$file_name, link_text => $ln_path, link_title => $file_name, link_target => 'new_window', width => IMAGE_WIDTH));
//								array_push($val['file_ary'], array(link => $ln_path, link_text => $ln_path, link_title => $file_name, link_target => 'new_window', width => IMAGE_WIDTH));
								if(empty($_GET['chdir'])){
									$slide_show_URL = $file_name;
								}else{
									$slide_show_URL = $chdir.'/'.$file_name;
								}
								array_push($val['file_ary'], array(
									slide_show  => 'slide_show.php?i='.$slide_show_URL, 
									link        => $ln_path, 
									link_text   => $ln_path, link_title => $file_name, 
									link_target => 'new_window', 
									width       => IMAGE_WIDTH
								));
							}
						}
					}
				}
			}
			$ch_dir -> close();
			$_SESSION['file_manager']['target_dir'] = $dir_path; //対象ディレクトリをセッションに保存
		} else {
//			 array_push($message, array(text => htmlspecialchars($dir_path)." は読み込みが許可されていません。"));
			 array_push($message, array(text => htmlspecialchars($chdir)." は読み込みが許可されていません。"));
		}
	} else {
		if ($_GET["chdir"] != "") { 
//			array_push($message, array(text => htmlspecialchars($dir_path)." は存在しません。"));
			array_push($message, array(text => htmlspecialchars($chdir)." は存在しません。"));
		}
	}

	$val['message'] = $message;

	htmltemplate::t_include("file_manager.html",$val);

?>