<?php
	//------------
	// サイト管理 
	//------------
		define("SITE_PATH", "/var/www/html/file_manager/");			// サイトルートパス
		define("HTTP_TOP" , "file_manager/");						// アプリケーションのパス
		define("HTTP_PATH", "http://ドメイン名/");					// ドキュメントルート

		define("SITE_NAME"  , "サイト名");							// サイト名 メールの署名やページのタイトルに入るので単純なサイト名にしてください
		define("SITE_TITLE" , "ページのタイトル");					// HTMLのタイトルタグの中身

	//------------------------
	// 表示のルートディレクトリ
	// （このディレクトリ以外は表示できません）
	//------------------------
	define("TOP_LEVEL_TEXT",		"top level");
	define("TOP_LEVEL",				"../image");

	//------------------------
	// ログイン情報
	//------------------------
	define('LOGIN_USER', 'a');
	define('LOGIN_PASS', 'a');

	//------------------------
	// 認証設定
	//------------------------
//	define("VIEWE", "limit");		//閲覧にログインが必要
	define("VIEWE", "nonlimit");	//ログイン不要で閲覧可

//	define("UTILITY", "limit");		//管理にログインが必要
//	define("UTILITY", "nonlimit");	//ログイン不要で管理可
	define("UTILITY", "nonuse");	//管理機能未使用

//■■ 基本的にはここから下は編集不要 ■■■■■■■■■■■■■■■■

	//------------------------
	// その他ディレクトリ設定
	//------------------------
	define("MKDIR_PERMISION", 0777);		// サブディレクトリを作ったと時のパーミッション

	//------------------------
	// アイコン定義
	//------------------------

	define("ICON_PATH", HTTP_PATH.HTTP_TOP.'icon/');		// アイコンディレクトリ
	define("ENTITY",    'entity');							// ブラウザで直接表示可能な画像ファイル
	
	define("DIRECTRY_ICON", ICON_PATH.'Folder.png');		// ディレクトリのアイコン
	define("DEFAULT_ICON",  ICON_PATH.'Document.png');		// ファイル種別不明のアイコン
	
	define("ICON_WIDTH" , 64);						//アイコンの表示サイズ
	define("IMAGE_WIDTH", 100);						//画像サムネイルの表示サイズ
	define("SLIDE_SHOW_MAX_WIDTH", 800);			//スライドショーの最大表示サイズ

	//画像以外で表示を許可する拡張子とアイコンファイルを指定する
	//指定が無い拡張子は表示しない
	$icon_ary   = array(

		'bmp'  => ENTITY ,
		'gif'  => ENTITY ,
		'jpg'  => ENTITY ,
		'jpeg' => ENTITY ,
		'png'  => ENTITY ,
		'psd'  => ICON_PATH.'PSD.png' ,
		'swf'  => ICON_PATH.'SWF.png' ,
		'tag'  => ICON_PATH.'TGA.png' ,
		'tif'  => ICON_PATH.'TIFF.png' ,
		'tiff' => ICON_PATH.'TIFF.png' ,

		'zip'  => ICON_PATH.'ZIP.png' ,
		'rar'  => ICON_PATH.'RAR.png' ,

		'cgi'  => ICON_PATH.'CGI.png' ,
		'htm'  => ICON_PATH.'HTML.png' ,
		'html' => ICON_PATH.'HTML.png' ,
		'txt'  => ICON_PATH.'TXT.png' ,
		'text' => ICON_PATH.'TXT.png' ,
		'php'  => ICON_PATH.'PHP.png' ,
		'xml'  => ICON_PATH.'XML.png' ,

		'doc'  => ICON_PATH.'DOC.png' ,
		'pdf'  => ICON_PATH.'PDF.png' ,

		'wav'  => ICON_PATH.'WAV.png' ,
		'wma'  => ICON_PATH.'WMA.png' ,
		'mp3'  => ICON_PATH.'MP3.png' ,

		'avi'  => ICON_PATH.'AVI.png' ,
		'mov'  => ICON_PATH.'MOV.png' ,
		'mp4'  => ICON_PATH.'MP4.png' ,
		'wmv'  => ICON_PATH.'WMV.png' ,

		'ppt'  => DEFAULT_ICON ,
		'ai'   => DEFAULT_ICON ,
		'xls'  => DEFAULT_ICON

	);

?>