<?php
	require_once("./system/init/FW.inc");
	if(UTILITY == "nonuse"){											//管理画面を使わない場合に開かれたらリジェクト
		header("location:file_manager.php");
	}elseif(UTILITY == "limit"){
		$_SESSION['file_manager']['back_page'] = $_SERVER["PHP_SELF"];	//ログイン後に戻るページ
		require_once("./system/init/login_check.inc");
	}
	$val['user_name'] = $_SESSION['file_manager']['login_id'];		//セッションが有ればログイン情報を表示
	$val['msg_title'] = $_SESSION['file_manager']['target_dir'];	//操作対象のディレクトリ
	$val['msg_title'] .= 'への操作';

//■■■■■■■■■■■■■■■■■■■■■■
//エラーチェック
//■■■■■■■■■■■■■■■■■■■■■■

	$val['message'] = array();		//メッセージ用テンプレート変数初期化
	//入力書式チェック
	foreach($_POST as $key => $var){
		if($key != 'target_dir'){
			if(ereg('\.\.', $var)){
				array_push($val['message'], array('text'=>$key."には「連続したピリオド」を入力することはできません。\n"));
			}
		}
	}

	//対象ディレクトリチェック
	if($_SESSION['file_manager']['target_dir'] != $_POST['target_dir'] && !empty($_POST['target_dir'])){
		array_push($val['message'], array('text'=>"呼び出し元のページが別のディレクトリを表示しているため、操作を続行できませんでした。<br>このページを一旦閉じてからやり直してください。\n"));
	}
	
	//対象ディレクトリチェック
	if(empty($_SESSION['file_manager']['target_dir'])){
		array_push($val['message'], array('text'=>"呼び出し元のページが見つからないため、操作を続行できません。\n"));
	}

	//テンプレート変数のファイル名一覧を元に名前の重複を調べる
	$val['target_file'] = make_file_list();							 //テンプレート変数にファイル一覧を格納
	$dup_error = '';																			//エラーメッセージ格納用変数
	foreach($val['target_file'] as $value){
		if($value['file_name'] != '' && $value['file_name'] == $_POST['rename']){
			$dup_error = $_POST['rename'].'は既存のファイル、ディレクトリで使われています。';
		}
		if($value['file_name'] != '' && $value['file_name'] == $_POST['make_dir']){
			$dup_error = $_POST['make_dir'].'は既存のファイル、ディレクトリで使われています。';
		}
	}
	if($dup_error != ''){
		array_push($val['message'], array('text'=>$dup_error."\n"));
	}
	//エラー表示
	if(count($val['message'])>0){
		//エラーの場合は入力内容を再表示
		$val['target_dir']  = $_POST['target_dir'];
		$val['target_file'] = make_file_list();							//テンプレート変数にファイル一覧を格納
		$val['rename']      = $_POST['rename'];
		$val['make_dir']    = $_POST['make_dir'];
		//エラーなので処理終了して画面表示
		htmltemplate::t_include("utility.html",$val);
		exit;
	}

//■■■■■■■■■■■■■■■■■■■■■■
//ファイル操作実行呼び出し
//■■■■■■■■■■■■■■■■■■■■■■
	$rst = array();
	if($_POST['submit'] == 'アップロード'){
		//アップロード
		$rst = upload_file($_SESSION['file_manager']['target_dir']);
	}elseif($_POST['submit'] == 'ディレクトリ作成'){
		//ディレクトリ作成
		$rst = do_make_dir();
	}elseif($_POST['submit'] == '削除実行'){
		//ファイル削除
		$rst = do_delete($_SESSION['file_manager']['target_dir']);
	}elseif($_POST['submit'] == 'リネーム実行'){
		//ディレクトリリネーム
		$rst = do_rename();
	}
	
	//処理エラーのメッセージをテンプレート変数にセット
	array_push($val['message'], array('text'=>$rst['msg']));


//■■■■■■■■■■■■■■■■■■■■■■
//画面表示
//■■■■■■■■■■■■■■■■■■■■■■
	$val['target_file'] = make_file_list();							//テンプレート変数にファイル一覧を格納
	$val['target_dir']  = $_SESSION['file_manager']['target_dir'];	//対象ディレクトリ
	htmltemplate::t_include("utility.html",$val);


//■■■■■■■■■■■■■■■■■■■■■■
//ファイル操作関数群
//■■■■■■■■■■■■■■■■■■■■■■
//++++++++++++++
//アップロード
//++++++++++++++
function upload_file($target_dir = ''){
//print $target_dir.' upload<be>';
//print '['.$_FILES['upload_file']['name'].']<br>';
//print '['.$_FILES["upload_file"]["tmp_name"].']<br>';

	$rst = array(flg=>'', msg=>'');
	
	if( $_FILES['upload_file']['name'] != "" ){
		$path_parts	 = pathinfo($_FILES['upload_file']['name']);
		$out_file		 = $path_parts['basename'];											// 保存ファイル名
		$storage_file = $target_dir.$out_file;												// ファイルを保存先ファイル名
		if(move_uploaded_file($_FILES["upload_file"]["tmp_name"], $target_dir . $_FILES["upload_file"]["name"])) {
			chmod($target_dir . $_FILES["upload_file"]["name"], 0666);
			//アップロード完了
			$rst['msg'] = "ファイルのアップロードが完了しました<br>";
			$rst['flg'] = true;
		}else{
			//アップロード失敗 -----
			$rst['msg'] = "ファイルのアップロードに失敗しました。　画像ファイル名を確認してください<br>";
			$rst['flg'] = false;
		}
	}
	return $rst;
}
//++++++++++++++
//ディレクトリ作成
//++++++++++++++
function do_make_dir(){
//print 'make_dir<br>';
	$rst = array(flg=>'', msg=>'');
	if($_POST['make_dir'] != ''){
		$dir        = $_POST['make_dir'];
		$dir_path   = $_SESSION['file_manager']['target_dir'];
		$rst['flg'] = mkdir($dir_path.$dir, MKDIR_PERMISION);
//		chmod($dir_path.$dir, MKDIR_PERMISION);
		
		if($rst['flg'] == true){
			$rst['msg'] = $dir.'ディレクトリを作成しました。';
		}else{
			$rst['msg'] = $dir.'ディレクトリの作成に失敗しました。';
		}
	}
	return $rst;

}
//++++++++++++++
//削除処理
//++++++++++++++
function do_delete(){
//print 'delete<br>';
	$rst = array(flg=>'', msg=>'');
	if($_POST['target_file'] != ''){
		$file     = $_POST['target_file'];
		$dir_path = $_SESSION['file_manager']['target_dir'];
		if(is_dir($dir_path.$file)){
			$rst['flg'] = rmdir($dir_path.$file);
		}else{
			$rst['flg'] = unlink($dir_path.$file);
		}
		if($rst['flg'] == true){
			$rst['msg'] = $file.'を削除しました。';
		}else{
			$rst['msg'] = $file.'の削除に失敗しました。';
		}
	}
	return $rst;
}
//++++++++++++++
//リネーム
//++++++++++++++
function do_rename(){
	$rst = array(flg=>'', msg=>'');
	if($_POST['target_file'] != '' && $_POST['rename'] != ''){
		$before     = $_SESSION['file_manager']['target_dir'].$_POST['target_file'];
		$after      = $_SESSION['file_manager']['target_dir'].$_POST['rename'];
		$rst['flg'] = rename($before, $after);
		if($rst['flg'] == true){
			$rst['msg'] = $_POST['target_file'].'を'.$_POST['rename'].'にリネームしました。';
		}else{
			$rst['msg'] = $_POST['target_file'].'のリネームに失敗しました。';
		}
	}
	return $rst;
}

//■■■■■■■■■■■■■■■■■■■■■■
//ファイル一覧生成
//■■■■■■■■■■■■■■■■■■■■■■
function make_file_list(){
	global $icon_ary;
	$dir_path = $_SESSION['file_manager']['target_dir'];
	$file_ary = array();
	array_push($file_ary, array(value => '', text => '操作対象選択', selected => ''));

	if(is_readable($dir_path)) {	//ファイルが読み込み可能かどうか
		$ch_dir = dir($dir_path);	//ディレクトリクラス
		//ディレクトリ内のファイルを配列に保存
		$file_name_ary = array();
		$file_count = 0;
		while (false !== ($fn = $ch_dir -> read())) {
			$file_count = array_push($file_name_ary, $fn);
		}
		//ディレクトリ内のファイル名の配列をソート
		natsort($file_name_ary);

		//ディレクトリ内のファイルを一覧表示
//		while (false !== ($file = $ch_dir -> read())) {
		for ($num=0; $num<$file_count; $num++) {
			$file = array_shift($file_name_ary);
			if($file != '.' && $file != '..'){
				$path_parts	 = pathinfo($file);
				if(is_dir($dir_path.'/'.$file)){
					$file_name = '* '.$file;
				}else{
					$file_name = '　'.$file;
				}
				if($file == $_POST['target_file']){
					array_push($file_ary, array(value => $file, text => $file_name, selected => 'selected', file_name => $file));
				}else{
					array_push($file_ary, array(value => $file, text => $file_name, selected => '', file_name => $file));
				}
			}
		}
		$ch_dir -> close();
	}
	
	return $file_ary;
}


?>